| Home | Libraries | People | FAQ | More

##### flat_static_buffer_base::clear

Clear the readable and writable bytes to zero.

###### Synopsis

    void
    clear();

###### Description

This function causes the readable and writable bytes to become empty. The capacity is not changed.

Buffer sequences previously obtained using `data` or `prepare` become invalid.

###### Exception Safety

No-throw guarantee.